All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.sasserver
Class IMDB

    com.sas.sasserver.IMDB

    public class IMDB

Field Summary
`com.sas.iom.SASGMS.IGMSAppl` | `gms`

Constructor Summary
`IMDB()`

Method Summary
`java.lang.String` | `DoRequest(java.lang.String request)`
`java.lang.String[][]` | `DoRequestToArray(java.lang.String request, int numColumns)`
`java.lang.String` | `DoRequestToHTML(java.lang.String request, java.lang.String[] columnTitles)`
`static java.lang.String[]` | `getReturnVars(java.lang.String request)`
`static java.lang.String[]` | `getReturnVars(java.lang.String request, boolean returnColumnsOnly)`
`protected static java.lang.String` | `propertiesToUrl(java.lang.String id, java.util.Properties properties)`
`void` | `ServerConnect(java.lang.String host, java.lang.String port, java.lang.String userName, java.lang.String password)`
`void` | `ServerDisconnect()`
`void` | `SetContext(java.lang.String applicationContext)`

Field Detail

### gms

    public transient com.sas.iom.SASGMS.IGMSAppl gms

Constructor Detail

### IMDB

    public IMDB()

Method Detail

### ServerConnect

    public void ServerConnect(java.lang.String host,
                              java.lang.String port,
                              java.lang.String userName,
                              java.lang.String password)

### SetContext

    public void SetContext(java.lang.String applicationContext)

### DoRequest

    public java.lang.String DoRequest(java.lang.String request)

### DoRequestToArray

    public java.lang.String[][] DoRequestToArray(java.lang.String request,
                                                 int numColumns)

### DoRequestToHTML

    public java.lang.String DoRequestToHTML(java.lang.String request,
                                            java.lang.String[] columnTitles)

### ServerDisconnect

    public void ServerDisconnect()

### getReturnVars

    public static java.lang.String[] getReturnVars(java.lang.String request)

### getReturnVars

    public static java.lang.String[] getReturnVars(java.lang.String request,
                                                   boolean returnColumnsOnly)

### propertiesToUrl

    protected static java.lang.String propertiesToUrl(java.lang.String id,
                                                      java.util.Properties properties)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.